Mercurial > repos > richard-burhans > segalign
changeset 7:39c21be8f8b9 draft
planemo upload for repository https://github.com/richard-burhans/galaxytools/tree/main/tools/segalign commit a87a48f823756ba950e9c87593342cfb90570e7b
author | richard-burhans |
---|---|
date | Tue, 07 May 2024 15:28:36 +0000 |
parents | 6c95c380bfa7 |
children | 150de8a3954a |
files | run_segalign_diagonal_partition |
diffstat | 1 files changed, 6 insertions(+), 3 deletions(-) [+] |
line wrap: on
line diff
--- a/run_segalign_diagonal_partition Mon May 06 17:44:50 2024 +0000 +++ b/run_segalign_diagonal_partition Tue May 07 15:28:36 2024 +0000 @@ -80,11 +80,11 @@ ## ## convert target and query to 2bit ## -faToTwoBit "$ref_path" "$DATA_FOLDER/ref.2bit" || { +faToTwoBit <(gzip -cdfq "$ref_path") "$DATA_FOLDER/ref.2bit" || { echo "run_segalign_diagonal_partition: cannot convert \"$ref_path\" to 2bit" 1>&2 exit 1 } -faToTwoBit "$query_path" "$DATA_FOLDER/query.2bit" || { +faToTwoBit <(gzip -cdfq "$query_path") "$DATA_FOLDER/query.2bit" || { echo "run_segalign_diagonal_partition: cannont convert \"$ref_path\" to 2bit" 1>&2 exit 1 } @@ -93,7 +93,10 @@ time { while IFS= read -r line; do - python "$TOOL_DIRECTORY/diagonal_partition.py" $MAX_SEGMENT_SIZE $line >> $LASTZ_COMMAND_FILE + python "$TOOL_DIRECTORY/diagonal_partition.py" $MAX_SEGMENT_SIZE $line >> $LASTZ_COMMAND_FILE || { + echo "run_segalign_diagonal_partition: failed: diagonal_partition.py $MAX_SEGMENT_SIZE $line" 1>&2 + exit 1 + } # segalign sort writes out the partitioned segment files to the working # directory and prints the modified lastz commands. done < <(stdbuf -oL segalign $ref_path $query_path "${DATA_FOLDER}/" "$@" ) # segalign begins running in this line,